# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /feedstock/recipe, last modified Thu Jul 14 07:34:53 2022
# ------------------------------------------------

package:
  name: networkx
  version: 2.8.4
source:
  sha256: 5e53f027c0d567cf1f884dbb283224df525644e43afd1145d64c9d88a3584762
  url: https://pypi.io/packages/source/n/networkx/networkx-2.8.4.tar.gz
build:
  number: '0'
  script: /opt/conda/conda-bld/networkx_1657784097507/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_plac/bin/python
    -m pip install . -vv
  string: py39h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - ca-certificates 2022.4.26 h06a4308_0
    - certifi 2022.6.15 py39h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.3 he6710b0_2
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - ncurses 6.3 h5eee18b_3
    - openssl 1.1.1q h7f8727e_0
    - pip 22.1.2 py39h06a4308_0
    - python 3.9.12 h12debd9_1
    - readline 8.1.2 h7f8727e_1
    - setuptools 61.2.0 py39h06a4308_0
    - sqlite 3.38.5 hc218d9a_0
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2022a hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7f8727e_1
    - zlib 1.2.12 h7f8727e_2
  run:
    - python >=3.9,<3.10.0a0
test:
  commands:
    - pip check
  imports:
    - networkx
    - networkx.algorithms
    - networkx.algorithms.approximation
    - networkx.algorithms.assortativity
    - networkx.algorithms.bipartite
    - networkx.algorithms.centrality
    - networkx.algorithms.coloring
    - networkx.algorithms.community
    - networkx.algorithms.components
    - networkx.algorithms.connectivity
    - networkx.algorithms.flow
    - networkx.algorithms.isomorphism
    - networkx.algorithms.link_analysis
    - networkx.algorithms.minors
    - networkx.algorithms.node_classification
    - networkx.algorithms.operators
    - networkx.algorithms.shortest_paths
    - networkx.algorithms.traversal
    - networkx.algorithms.tree
    - networkx.classes
    - networkx.drawing
    - networkx.generators
    - networkx.linalg
    - networkx.readwrite
    - networkx.readwrite.json_graph
    - networkx.testing
    - networkx.tests
    - networkx.utils
  requires:
    - pip
about:
  description: 'NetworkX is a Python language software package for the creation,

    manipulation, and study of the structure, dynamics, and functions of complex

    networks.

    '
  dev_url: https://github.com/networkx/networkx
  doc_source_url: https://github.com/networkx/networkx/blob/v1.11/doc/source/index.rst
  doc_url: https://networkx.org/documentation/stable
  home: https://networkx.github.io/
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: Python package for creating and manipulating complex networks
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: a58a84e8-5349-4709-9893-096152106dd7
  recipe-maintainers:
    - FelixMoelder
    - SylvainCorlay
    - ocefpaf
    - synapticarbors
  remote_url: git@github.com:AnacondaRecipes/networkx-feedstock.git
  sha: 682252c6e3bd7be2fb88279be579213a5ebdb421
